#ifndef BINDEC_H
#define BINDEC_H

#include "general.h"

// Module for converting between ascii null-terminated strings and binary values.


// convert binary value to string, reserve at least 7 bytes for char*
void int2asc(int, char*);
// convert binary value to string, reserve at least 7 bytes for char*
void char2asc(char, char*);
// convert ASCII string to binary value in range (-32767..32767)
char asc2int(char*, int*);


#endif
