#ifndef GENERAL_H
#define GENERAL_H

#include <reg517.h>

#define TRUE 1
#define FALSE 0
#define MAX(a,b) ( (a) > (b) ? (a) : (b) )
#define MIN(a,b) ( (a) < (b) ? (a) : (b) )
#define ABS(a) ( (a) < 0 ? -(a) : (a) )

typedef unsigned char byte;
typedef unsigned int word;

union intchar {
	int i;
	char c[2];
};

sbit P4_0 = P4^0; // select bit0 of Port4
sbit P4_1 = P4^1; // select bit1 of Port4
sbit P4_2 = P4^2; // select bit2 of Port4
sbit P4_3 = P4^3; // select bit3 of Port4
sbit P4_4 = P4^4; // select bit4 of Port4
sbit P4_5 = P4^5; // select bit5 of Port4
sbit P4_6 = P4^6; // select bit6 of Port4
sbit P4_7 = P4^7; // select bit7 of Port4

sbit P5_0 = P5^0; // select bit0 of Port5
sbit P5_1 = P5^1; // select bit1 of Port5
sbit P5_2 = P5^2; // select bit2 of Port5
sbit P5_3 = P5^3; // select bit3 of Port5
sbit P5_4 = P5^4; // select bit4 of Port5
sbit P5_5 = P5^5; // select bit5 of Port5
sbit P5_6 = P5^6; // select bit6 of Port5
sbit P5_7 = P5^7; // select bit7 of Port5

#endif

