#ifndef DAC_H
#define DAC_H

#include "general.h"

// A sample-pair consists of a pair of signed ints in the range -2048..2047
struct dac_samplepair {
	int dac1, dac2;
};

// Initialise ADC
void dac_init(void);

// Read sample pair from ADC, fills structure with samples
void dac_input(struct dac_samplepair *);

// Write sample to DAC, must supply pointer to structure to set samples
void dac_output(struct dac_samplepair *);                                                   


#endif
