#ifndef LCD_H
#define LCD_H

// Module LCD.C contains functions related to writing of alpha numeric
// text on a dot matrix LCD display.
// The functions are used for initialisation of the display, for positioning
// of the cursor, for writing a string and for converting an integer to
// display code.


// Initialise LCD
void lcd_init(void) large;
// Move cursor to position (x,y)
void lcd_xy(char,char) large;
// Print string on display
void lcd_str(char*) large;
// Print string at (x,y) on display
void lcd_writexy( char, char, char* ) large;
#endif
