#pragma CODE 

#include "lcd.h"
#include "general.h"

#include <80c517.h>                       /* standard I/O .h-file              */


// Initialise serial port for output to Simulator
// Serial Window
void lcd_init(void) large {

  /* initialize the serial interface */
  S0CON = 0x5A;                                 /* initialize UART to mode 1   */
  BD = 1;                                      /* internal Baudrate Generator */
  PCON |= 0x80;                                /* set to 9600 Baud @ 12 MHz   */

}

// Output cursor position to Serial Window
void lcd_xy(char x, char y) large {
  printf517("\nPOS: %2d %2d",(int)x,(int)y);
}


// Output string to Serial Window
void lcd_str(char *asci) large {
  printf517("\n%s",asci);
}


// Output string to Serial Window
void lcd_str(char x, char y, char *asci) large {
  printf517("\n(%d,%d): %s",x,y,asci);
}

